<template>
  <v-container grid-list-xs>
    <v-card>
      
      <v-list>
        <v-list-tile>
            <v-list-tile-content>
              <v-list-tile-title>Total</v-list-tile-title>
            </v-list-tile-content>
            <v-list-tile-action>
              <v-list-tile-action-text class="display-1" :class="{withdraw: balance < 0, deposit: balance > 0}">{{balance}}€</v-list-tile-action-text>              
            </v-list-tile-action>
        </v-list-tile>
        <div class="operation" v-for="operation in operations" :key="operation.id">
          <v-list-tile>
            <v-list-tile-content>
              <v-list-tile-title>{{operation.description}}</v-list-tile-title>
              <v-list-tile-sub-title>{{operation.category.label}}</v-list-tile-sub-title>
            </v-list-tile-content>
            <v-list-tile-action>
              <v-list-tile-action-text :class="{withdraw: operation.amount < 0, deposit: operation.amount > 0}">{{operation.amount}}€</v-list-tile-action-text>
              <v-list-tile-action-text>{{operation.date}}</v-list-tile-action-text>
            </v-list-tile-action>
          </v-list-tile>
          <v-divider/>
        </div>
      </v-list>
    </v-card>
  </v-container>
</template>

<script>
import { mapState, mapGetters } from "vuex";
export default {
  computed: {
    ...mapState(["operations"]),
    ...mapGetters(["balance"])
  },
  mounted() {
    this.$store.dispatch("fetchOperations");
  }
};
</script>

<style>

.withdraw {
    color:red;
}
.deposit {
    color:green;
}
</style>
